/* HTTP Proxy Server, by Mark Kamichoff [kamicm@rpi.edu]  *
 * File for includes, prototypes, and global declarations */

#include <stdlib.h>
#include <stdio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <signal.h>
#include <netdb.h>
#include <sys/wait.h>
#include <string.h>

#define SA struct sockaddr              /* Improves readability of code, eh */

int listeningfd, clientfd, requestfd;   /* Global socket file descriptors */

/* Sets up function prototypes */

void signalpipe(void);          // Handles a broken pipe
void signalinterrupt(void);
void setupsignals(void);        // Sets up signal handlers
int doserver(struct hostent *); // Main function
